PrivyPrivy
Sign in
  • Documentation
Back to Documentation
B2B Telco APIs
OverviewChangelog
Phone Active
Phone Match
    v1
      Phone Match v1QuickstartEnvironmentsAuthenticationRequest FieldsMatch ResultsErrors
    v2
    v3
Phone Location Verification
Phone Income Score
API Explorer
powered by Zudoku
Sign in
v1

Request Fields

Send an application/json body to POST /api/v1/phone/match.

FieldTypeRequiredValidation
transaction_idstringYes1–36 alphanumeric or hyphen characters; unique for the merchant request.
nikstringYes16-digit Indonesian identity number.
msisdnstringYes7–15 digits in normalized international format; must be a Telkomsel number.
channelstringYes1–100 alphanumeric or hyphen characters.

Example:

Code
{ "transaction_id": "match-v1-001", "nik": "3173050101900001", "msisdn": "628111234567", "channel": "web" }
Last modified on October 23, 2026
AuthenticationMatch Results
JSON